2018-12-12 18:25 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000064Branch 0.2.1-FINALFeature Requestpublic2016-11-23 10:27
ReporterQuix0r 
Assigned ToQuix0r 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000064: $FATAL mehr "kapseln"
DescriptionEs gibt bereits die Funktion ADD_FATAL() (siehe functions.php). Diese "kapselt" das Hinzufuegen von fatalen Fehlermeldungen zu dem Array $FATAL.
Dieses Array wird noch an vielen Stellen weiterhin direkt und mit einer global-Anweisung vorweg eingebunden. Dies soll nun schrittweise umgebaut werden auf weiteren Funktionen.

Hier gleich die ersten Ideen:
- Der Code "count/sizeof($FATAL)" koennte durch "getTotalFatalErrors()" ausgetauscht werden.
- "empty($FATAL[0])" mit in getTotalMessages() integrieren
- "ADD_FATAL()" durch "addFatalMessage()"

Mit dem Patch wuerden auch gleichzeitig die GROSS_GESCHRIEBENEN Funktionen in die ungarische Schreibweise langsam umformiert werden. Hierzu sollte aber ein weiteres Ticket erstellt werden.

TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000151

Quix0r (administrator)

Das ist jetzt auch erledigt.

~0000779

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2009-02-07 19:47 Quix0r New Issue
2009-02-07 19:47 Quix0r Status new => assigned
2009-02-07 19:47 Quix0r Assigned To => Quix0r
2009-02-07 19:55 Quix0r Projection none => tweak
2009-02-07 19:55 Quix0r ETA none => < 1 day
2009-02-07 19:55 Quix0r Fixed in Version => 0.2.1-FINAL
2009-02-07 19:55 Quix0r Description Updated
2009-02-07 20:21 Quix0r Note Added: 0000151
2009-02-07 20:21 Quix0r Status assigned => resolved
2009-02-07 20:21 Quix0r Resolution open => fixed
2016-11-23 10:27 Quix0r Note Added: 0000779
2016-11-23 10:27 Quix0r Status resolved => closed
+Issue History